For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
      • The study object
      • GETList all studies
      • POSTCreate a draft study
      • GETList all studies in a project
      • GETRetrieve a study
      • DELDelete a study
      • PATCHUpdate a study
      • POSTTransition a study's status
      • POSTCreate a test study
      • GETGet taskflow progress
      • GETShow Study cost
      • GETList study submissions
      • GETCount study submissions by status
      • GETDownload credential usage report
      • GETDownload demographic data
      • POSTExport demographic data
      • GETGet demographic export history
      • POSTDuplicate a study
      • GETShow Study predicted recruitment time
      • POSTShow Study predicted recruitment time
      • POSTCalculate the study cost
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceStudies

Show Study predicted recruitment time

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/studies/:study_id/predicted-recruitment-time/
GET
/api/v1/studies/:study_id/predicted-recruitment-time/
$curl https://api.prolific.com/api/v1/studies/study_id/predicted-recruitment-time/ \
> -H "Authorization: Token <token>"
1{
2 "precise_recruitment_time_hours": 2.13,
3 "lower_bound_hours": 1.5,
4 "upper_bound_hours": 2.5,
5 "display_string": "1 hour 23 minutes",
6 "limit_at": 1.1
7}
Returns the predicted recruitment time for the study if it was published right now, based on a machine learning model. The recruitment time is the time from publish to the time when the final participant starts their submission. It does not account for the time to complete the submission.
Was this page helpful?
Previous

Duplicate a study

Next

Show Study predicted recruitment time

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

study_idstringRequired
Study id

Response

Return the predicted recruitment time for the study
precise_recruitment_time_hoursdouble
The predicted recruitment time in hours
lower_bound_hoursdouble
The lower bound of the predicted recruitment time in hours
upper_bound_hoursdouble
The upper bound of the predicted recruitment time in hours
display_stringstring

A human-readable string representing the predicted recruitment time

limit_atdouble

The limit at which the accuracy of the prediction becomes unstable. This should be used when rendering the recruitment times in a GUI. For example if the limit_at is 10, and the predicted recruitment time is 12 hours, the display string should be “10 hours+”. This has been done for you in the display_string field.

Errors

4XX
Client Request Error